Subject: Re: Scripting FTP transactions ... how?
From: Heinz-Juergen Oertel <[email-masked]>
To: Rabbe Fogelholm <[email-masked]>
Cc: [email-masked]
Date: Mon, 17 Apr 2000 14:11:59 +0200

Rabbe Fogelholm wrote:
> 
> Hi all,
> 
> I have this seemingly trivial problem: I wish to do some FTP file transfers
> from within a Bourne shell script that runs on top of CygWin and Windows 9x.
> 
> On Solaris, Linux etc I would use the plain old "ftp" command, possibly
> creating a .netrc file on-the-fly if needed. This does not seem to work
> at all with the Win32 FTP command. Furthermore, CygWin Tools does not
> contain an ftp command either.
> 

do the same here.
I use the ftp client
in /windows/ftp.exe

and call it
/windows/ftp -s:script host

with script something like:
user
passwd
binary
put file
quit

> I did look around for some shareware client, but without success so far.
> 
> If I were doing only downloads (no uploads) I could get along with Lynx.
> However, I need a solution for the upload case as well.
> 
> Any hints welcome! There ought to be a solution for a trivial problem
> like this, only I don't know in which direction to look.
> 
> --Rabbe Fogelholm, Sollentuna, Sweden
> 
> --
> Want to unsubscribe from this list?
> Send a message to [email-masked]

-- 
with best regards / mit freundlichen Grüßen

   Heinz-Jürgen Oertel

===========================================
Heinz-Jürgen Oertel
port GmbH            phone +49 345 77755-0
Regensburger Str. 7c fax   +49 345 77755-20
D-06132 Halle/Saale  mailto:[email-masked]
Germany              http://www.port.de
===========================================

--
Want to unsubscribe from this list?
Send a message to [email-masked]